Home Metronic Hire Us Buy Now
The World’s #1 Bootstrap 4 & 5 HTML, Angular 11, React, VueJS & Laravel
Admin Dashboard Theme

- ##### Metronic v8.0.18 - 16 July, 2021

  New

  - HTML
    - `Demo 1 Dark Skin`complete layout and pages - Preview.
    - `Demo 1 Dark Skin`complete documentation and components - Preview.
    - `Demo 6`- Preview.
    - `Demo 4 Minimal`dashboard - Preview.
    - `Ajax Datatable`integration - Preview.
  - LARAVEL
    - Added new `Demo 2` layout. Updated `webpack.mix.js` to build `Demo 2` asset files. See preview.
    - Added `Demo 1 Dark Skin`. Updated `webpack.mix.js` to build dark CSS files. See preview

  Updates & Improvements

  - HTML
    - `Calendar`app improvements with hoverable event summary - Preview.
    - `3rd-Party Plugins`update - Preview.
  - LARAVEL
    - Folder restructure of `view` and `assets` to support multi demos.
    - Rename helper function `assetIfHasRTL()` to `assetCustom()`.
    - Moved shared config for demos to global config `config/global`
    - Update `package.json` plugin packages version.
    - Update `composer.json` plugin packages version.
    - Update `webpack.mix.js` file to rename output CSS file name `plugins/global/extend.bundle.css` to `plugins/global/plugins-custom.bundle.css`
    - Update `datatable` plugin in `webpack.mix.js` file.

  Fixes

  - LARAVEL
    - Fixed missing breadcrumb in the documentation page.

- ##### Metronic v8.0.17 - 7 July, 2021

  New

  - HTML
    - New `Demo 4` - Preview.
    - New `Calendar`app - Preview.
    - New `Documentation`layout - Preview.
    - New `Chart Widgets` - Preview.
  - VUE
    - Added general modal pages Preview

  Updates & Improvements

  - HTML
    - `Fullcalendar`plugin integration improvements - Preview.
    - `Support Center`app enhancements - Preview.
  - LARAVEL
    - New documentation layout integration.
    - Update `webpack.mix.js` to move reusable assets to global.
  - VUE
    - `Fullcalendar`toolbar not wrapped properly on mobile breakpoints - Preview.

  Fixes

  - HTML
    - `Fullcalendar`toolbar not wrapped properly on mobile breakpoints - Preview.
  - LARAVEL
    - Fixed page configuration with asterisk (`*`) path.
  - VUE
    - Fixed `DrawerMessanger` initialization bug Preview

- ##### Metronic v8.0.16 - 29 June, 2021

  New

  - HTML
    - `Demo 3`- Preview.
    - `Fullcalendar`plugin integration - Preview.
  - LARAVEL
    - Added `Account Overview` demo page.
    - Added `Change Password` feature on profile page.
    - Added `Change Email` feature on profile page.
    - Added `Audit Log` listing page. The logs are automatically created by the user's activity in the user Model. Eg. Registering, reset password, update email, update user information, etc.
    - Added `Laravel Socialite` plugin package and demo Google login integration.
  - VUE
    - Added general modal pages
      - Invite Friends Preview
      - View Users Preview
      - Upgrade Plan Preview
      - Share & Earn Preview
    - Added form modal pages
      - New Targer Preview
      - New Card Preview
      - New Address Preview
      - Create API Key Preview
    - Added wizard modal pages
      - Two Factor Auth Preview
      - Create App Preview
      - Create Account Preview

  Updates & Improvements

  - HTML
    - `Bootstrap v5.0.2`update integration - Preview.
    - Fixed deprecation warnings in Sass during compilation for `/`division following the Bootstrap authors recommendation.
    - `Subscriptions`app enhancements - Preview.
    - `Customers`app enhancements - Preview.
  - LARAVEL
    - Update Laravel `Breeze` package version.

  Fixes

  - HTML
    - `Demo 1`and `Demo 5`toolbar/page title truncated on mobile mode.
    - `Datatable`sort icon position fix - Preview.
  - LARAVEL
    - Fixed page redirect to login page after successfully reset password.
    - Fixed `Datatables` loading spinner.
    - Fixed avatar image for internal image path and external image path registered by Google login.
    - Fixed sample code formatting in the documentation pages.

- ##### Metronic v8.0.15 - 17 June, 2021

  New

  - HTML
    - `Demo 2`- Preview.
    - `Password Meter`in-house plugin - Preview.
    - `Swapper`in-house plugin - Preview.
    - `Quick Search`in-house plugin - Preview.
    - `Sticky`in-house plugin - Preview.
    - `Cookie`in-house plugin - Preview.
- LARAVEL
  - Added `Account Settings` demo page with ajax form. - Preview
  - Added `avatar` image upload and view.
- VUE
  - Added widgets pages Preview

Updates & Improvements

- HTML
  - `User Management`app enhancements - Preview.
  - `Customers`app enhancements - Preview.
  - `KTPlace`component class name changed to `KTSwapper`and `data-kt-place-*`attribute name changed to `data-kt-swapper-*`
- LARAVEL
  - Separated `name` into two fields; `first_name` and `last_name`.

Fixes

- LARAVEL
  - Fixed `reference` page to list all plugins from `composer.json`.
  - Fixed `datatable` listing demo column width.

- ##### Metronic v8.0.14 - 9 June, 2021

  New

  - HTML
    - `Support App`overview page - Preview.
    - `Support Tickets`page - Preview.
    - `Support Ticket View`page - Preview.
    - `Support Tutorials`page - Preview.
    - `Support Tutorials Post`page - Preview.
    - `Support FAQ`overview - Preview.
    - `Support Licenses`overview - Preview.
    - `Support Contact Us`overview - Preview.
    - `Image Input`in-house plugin documentation - Preview.
    - `Toggle`in-house plugin documentation - Preview.
    - `Triangle Ribbon`in-house plugin new option - Preview.
  - LARAVEL
    - Added `System Error Log` demo page. Preview
  - VUE
    - Added vue-i18n plugin and menu translation example. Update languge in profile dropdown. Preview

  Updates & Improvements

  - HTML
    - `Boxed Horizontal Menu Layout`update - Preview.

- ##### Metronic v8.0.13 - 4 June, 2021

  New

  - HTML
    - `Scroll` in-house plugin documentation - Preview.
    - `Drawer` in-house plugin documentation - Preview.
  - LARAVEL
    - Added `PHPUnit Test` for basic pages.
  - VUE
    - Added private chat page. Preview
    - Added group chat page. Preview
    - Added drawer chat page. Preview

  Updates & Improvements

  - HTML
    - `FormValidation v1.8.1` update - Preview.
  - LARAVEL
    - Synced with the latest Metronic 8 HTML version core assets.

  Fixes

  - HTML
    - Fixed `Form Check` validations show error message at a wrong place.
  - LARAVEL
    - Fixed `@else` code in `master.blade.php`.
    - Fixed SVG icon display

- ##### Metronic v8.0.12 - 31 May, 2021

  New

  - LARAVEL
    - `Demo 1 Laravel 8` version - Preview.
  - VUE
    - Added wizard demo pages. Preview

  Updates & Improvements

  - HTML
    - `Blazor` integration documentation enhancements - Preview.

  Fixes

  - HTML
    - Fixed `Gulp` dynamic demo path output by command option. Eg. `gulp --demo5`

- ##### Metronic v8.0.11 - 26 May, 2021

  New

  - HTML
    - `Smooth Scroll` plugin integration - Preview
    - `Bootstrap Alerts` extended integration - Preview
    - `Bootstrap Tooltips` dismiss on click option - Preview
  - VUE
    - Setup the skeleton doc. Preview.
    - Updated sign-in form buttons. Preview

  Updates & Improvements

  - HTML
    - `Blazor` integration documentation enhancements - Preview
    - `DropzoneJS` plugin integration enhancements - Preview

  Fixes

  - HTML
    - Fixed `gulp-dart-sass` warnings with resolution `"gulp-dart-sass/sass": "1.32.13"` in `packages.json`

- ##### Metronic v8.0.10 - 22 May, 2021

  New

  - `Demo 1 Vue 3` version - Preview.
  - HTML
    - `Toastr` plugin integration - Preview.
    - `Apexcharts` plugin integration - Preview.
    - `Chartjs` plugin integration - Preview.

  Updates & Improvements

  - HTML
    - `Access CSS variables in Javascript` documentation - Preview.

  Fixes

  - HTML
    - Fixed `Stepper` demo's responsive issue - Preview.

- ##### Metronic v8.0.9 - 18 May, 2021

  New

  - HTML
    - `Team` page - Preview
    - `Licenses` page - Preview
    - `Sitemap` page - Preview
    - `AmChart Charts` library integration - Preview
    - `AmChart Maps` library integration - Preview
    - `AmChart Stock Charts` library integration - Preview
    - `Clipboard` plugin integration - Preview

  Updates & Improvements

  - HTML
    - `Blazor` integration documentation enhancements - Preview
    - `FormValidation v1.8.0` update - Preview
    - `User Management` app enhancements - Preview
    - `Subscriptions` app enhancements - Preview
    - `Customers` app enhancements - Preview

- ##### Metronic v8.0.8 - 14 May, 2021

  New

  - HTML
    - Complete `User Management` app - Preview.
    - Advanced `User List` page with add/edit user modals - Preview.
    - Extended `User Details` page with user profile, settings, logs and more - Preview.
    - Advanced `User Roles` page with complete CRUD features - Preview.
    - Advanced `User Permissions` page with complete CRUD features - Preview.
    - Handy `Ribbon` component with complete documentation - Preview.

  Updates & Improvements

  - HTML
    - `Bootstrap v5.0.1` update integration - Preview.
    - `Blazor` integration documentation enhancements - Preview.
    - `DropzoneJS` plugin integration enhancements - Preview.
    - `Card` component enhancements - Preview.

- ##### Metronic v8.0.7 - 11 May, 2021

  New

  - HTML
    - Classic `Demo 5` with square style - Preview.
    - Font icon `Aside` and `Header` menu options - Preview.
    - UX friendly `Landing` page sticky header - Preview.

  Updates & Improvements

  - HTML
    - Landing page pricing table enhancements - Preview.
    - Blazor integration documentation enhancements - Preview.
    - `Chat` app enhancements - Preview.
    - `Subscriptions` app enhancements - Preview.
    - `Customers` app enhancements - Preview.
    - `DropzoneJS` plugin integration enhancements - Preview.

- ##### Metronic v8.0.6 - 6 May, 2021

  New

  - HTML
    - Complete `Landing` for product showcase - Preview.
    - Popular `DropzoneJS` file upload plugin integration - Preview.
    - Handy `Bootstrap Multiselectsplitter` plugin integration - Preview..
    - High demand `Google reCAPTCHA v3` plugin integration - Preview.
    - Interactive `Typed.js` plugin integration - Preview.

  Updates & Improvements

  - HTML
    - `Blazor` integration documentation enhancements - Preview.
    - `Chat` app enhancements - Preview.
    - `Subscriptions` app enhancements - Preview.

- ##### Metronic v8.0.5 - 3 May, 2021

  New

  - HTML
    - `Blazor Framework` integration documentation - Preview.
    - Complete `Contact Us` page with feedback form and interactive map - Preview.
    - Extended `Bootstrap Tooltips` integration - Preview.
    - Extended `Bootstrap Popover` integration - Preview.

  Updates & Improvements

  - HTML
    - `Layout` enhancements for older iOS browsers.
    - `Chat` app enhancements - Preview.
    - `Subscriptions` app enhancements - Preview.
    - `Customers` app enhancements - Preview.

  Fixes

  - HTML
    - Fixed `Menus` and `Drawers` toggle issue for iOS v12.x and v13.x browsers.

- ##### Metronic v8.0.4 - 27 April, 2021

  New

  - HTML
    - Creative `About Us` page - Preview.
    - Complete `Pricing & Plan Selection` page - Preview.
    - Advanced `Careers Listing` page - Preview.
    - Fully functional `Careers Application` page `Topbar` chat button - Preview.
    - Classic `FAQ` page - Preview.
    - Extended `FAQ` page - Preview.

  Updates & Improvements

  - HTML
    - `Chat` app enhancements - Preview.
    - `Subscriptions` app payment methods listing enhancements - Preview.
    - `Customers` app details table enhancements - Preview.

  Fixes

  - HTML
    - Fixed `Demo1` breadcrumb responsive issue on Mobile.
    - Fixed `Demo1` topbar icons tooltip issue on Mobile.

- ##### Metronic v8.0.3 - 22 April, 2021

  New

  - HTML
    - Fully functional and flexible `Chat` app - Preview.
    - Extended `Group Chat` option - Preview.
    - Extended `Drawer Chat` option - Preview.
    - Global `Quick Chat Messanger` feature launched with the `Topbar` chat button - Preview.
    - Complete `Invoice Management` app - Preview.
    - Advanced `Invoice 1` template - Preview.
    - Minimalistic `Invoice 2` template - Preview.

  Updates & Improvements

  - HTML
    - `Subscriptions` app enhancements - Preview.
    - `Customers` app enhancements - Preview.

  Fixes

  - HTML
    - Fixed `Select2` search input focus issue on modal.

- ##### Metronic v8.0.2 - 19 April, 2021

  Fixes

  - HTML
    - Fully functional `Subscriptions Management` app - Preview.
    - Advanced `Subscriptions Listing` page - Preview.
    - Detailed `Subscription View` page - Preview.
    - Extended `Subscription Add/Edit` page - Preview.
    - Stylish `Blog Home` page - Preview.
    - Well-structured `Blog Post` page - Preview.
    - Awesome `Fullscreen Lightbox` plugin integration - Preview.

  Updates & Improvements

  - HTML
    - `Customers` app Javascript files reorganization.
    - Remember `Demo 1 Aside Menu` last scroll position.
    - `DataTable` plugin documentation improvement - Preview.

- ##### Metronic v8.0.1 - 14 April, 2021

  New

  - HTML
    - Fully functional `Customers Management` app - Preview.
    - Advanced `Customers Listing` page - Preview.
    - Detailed `Customers View` page - Preview.
    - Documentation for exclusive plugin `KTStepper` - Preview.

  Updates & Improvements

  - HTML
    - Other `Documentation` improvements.

  Fixes

  - HTML
    - Fixed long modal content overflowing issue.

- ##### Metronic v8.0.0 - 9 April, 2021

  New

  - HTML
    - Foundation:
      - The first (Demo 1) HTML version for Metronic 8 with the most advanced enterprise ready solution.
      - New unified core framework (SASS, Javascript, Typescript, Webpack, Gulp) for HTML and SPA versions with flexible design system support.
      - Fully functional and real world business oriented solutions.
      - Custom tailored Bootstrap 5 components.
      - No design skills required, code without ever leaving your HTML editor.
      - No CSS/SASS coding required, our flexible CSS utility classes build on top of Bootstrap 5 will cover almost all your design needs.
      - 18 exclusive in-house components.
      - 30 deeply integrated popular 3rd party plugins.
      - Assets(CSS/JS) optimization up to 75%.
      - Gulp v4 & Webpack v5 based build tools refactoring with ES6.
      - Enhanced responsive layouts.
      - Overall Layout structure and performance improvements.
      - Native Custom Scrollbars (Perfect Scrollbar plugin dropped).
      - Components lazy initialization via HTML attributes (no more repeating JS code).
      - Fully functional pages, apps, modals, forms and datatable examples.
    - Crafted:
      - Profile:
        - Profile Overview - Preview.
        - Projects - Preview.
        - Campaigns - Preview.
        - Documents - Preview.
        - Connectiuons - Preview.
        - Activity - Preview.
      - Projects:
        - My Projects - Preview.
        - View Project - Preview.
        - Targets - Preview.
        - Budget - Preview.
        - Users - Preview.
        - Files - Preview.
        - Activity - Preview.
        - Settings - Preview.
      - Wizard:
        - Horizontal - Preview.
        - Vertical - Preview.
      - Search:
        - Horizontal - Preview.
        - Vertical - Preview.
    - General Pages:
      - Account:
        - Overview - Preview.
        - Settings - Preview.
        - Security - Preview.
        - Billing - Preview.
        - Statements - Preview.
        - Referrals - Preview.
        - API Keys - Preview.
      - Authentication:
        - Basic Flow:
          - Sign-in - Preview.
          - Sign-up - Preview.
          - Two-steps - Preview.
          - Password Reset - Preview.
          - New Password - Preview.
        - Aside Flow:
          - Sign-in - Preview.
          - Sign-up - Preview.
          - Two-steps - Preview.
          - Password Reset - Preview.
          - New Password - Preview.
        - Dark Flow:
          - Sign-in - Preview.
          - Sign-up - Preview.
          - Two-steps - Preview.
          - Password Reset - Preview.
          - New Password - Preview.
        - Multi-step Sign-up - Preview.
        - Free Trial Sign-up - Preview.
        - Coming Soon - Preview.
        - Welcome Message - Preview.
        - Password Confirmation - Preview.
        - Account Deactivation - Preview.
        - Error 404 - Preview.
        - Error 500 - Preview.
        - Email Templates - Preview.
    - Modals:
      - Invite Friends - Preview.
      - View Users - Preview.
      - Upgrade Plan - Pricing Table - Preview.
      - Share & Earn - Preview.
      - New Target - Preview.
      - Add New Card - Preview.
      - Add New Address - Preview.
      - Create API Key - Preview.
      - Two-factor Authentication - Preview.
      - Create Application - Preview.
      - Create Account - Preview.
      - Create Project - Preview.
      - Offer a Deal - Preview.
      - Search Users - Preview.
      - Select Location - Preview.
    - Widgets:
      - List Widgets - Preview.
      - Basic Cards & Charts - Preview.
      - Charts - Preview.
      - Mixed Widgets - Preview.
      - Tables - Preview.
      - Feeds - Preview.
    - Layout Options:
      - 5 Toolbars Options - Preview.
      - Aside Options- Preview.
      - Powerfull Layout Builder - Preview.

  Next

  - GLOBAL
    - Typescript/ES6 support.
    - Other demos releases.
    - Angular, VueJS, React versions implementation.
    - Angular, VueJS, React authentication with real REST API.
    - Detailed documentation of in-house components.
    - Dark Skin support.
    - Frontend Launcher templates.
    - Limitless fully detailed pages.
    - More popular 3rd party plugins integration.
    - More advanced CRUD based apps and pages.
    - More advanced forms and input controls
    - And many more.

- ##### Metronic v7.2.9 - 15 July, 2021

  Updates & Improvements

  - HTML Update `header` HTML layout.

  Fixes

  - HTML Fixed `gulp-dart-sass` warnings with resolution `"gulp-dart-sass/sass": "1.32.13"` in `packages.json`.
  - HTML Fixed `demo7` mobile menu fix.
  - HTML Fixed datatable pager position and z-index CSS.

- ##### Metronic v7.2.8 - 4 May, 2021

  Fixes

  - HTML Removed `Keenthemes Icons` link and fix the link to the `Custom Icons` page.

- ##### Metronic v7.2.7 - 19 April, 2021

  Fixes

  - HTML Fixed Demo8, Demo9, Demo10, Demo11 & Demo12 Search initialization issues.
  - Vue Updated vuetify version from `2.2.26` to `2.4.9`.

- ##### Metronic v7.2.6 - 9 April, 2021

  New

  - HTML Mega update. Meet Metronic 8 with Bootstrap 5. Live preview.

  Updates & Improvements

  - Angular Updated `User Auth` module.
  - React Updated `User Auth` module.

  Fixes

  - HTML Fixed webpack compilation error.

- ##### Metronic v7.2.5 - 3 April, 2021

  Updates & Improvements

  - Angular Updated `@ng-bootstrap/ng-bootstrap` library version to `9.1.0`.
  - React Installed `Sass` library instead of `node-sass`

  Fixes

  - HTML Fixed `Webpack` RTL build.
  - HTML Fixed `Webpack` minified assets build.
  - Angular Fixed `maxlength` property issue for 'First name' field in the 'Create customer/eCommerce'.
  - Angular Fixed `User Offcanvas` should be closed after routing changes.

- ##### Metronic v7.2.4 - 30 March, 2021

  Updates & Improvements

  - HTML Pre-compiled assets included in the download package.

  Fixes

  - HTML Fixed CSS syxtax errors and warnings.
  - HTML Fixed KTDatatable dropdown JS error.
  - HTML Fixed KTDatatable hidden "Action" buttons column.
  - HTML Fixed Datatable arrow icon spacing in "responsive" demo page.
  - Vue Fixed vue-bootstrap progressbar animation.

- ##### Metronic v7.2.3 - 11 March, 2021

  Updates & Improvements

  - Global Added navigation parameter to KTWizard plugin. Learn more

  Fixes

  - HTML Fixed `Dropzone` remove button position.
  - HTML Removed duplicate `Share.svg` icon.
  - React Fixed `RTL` version for `demo2` and `demo3`.
  - React Fixed `Aside menu` closing issue on mobile devices after routing changes.
  - Angular Fixed `RTL` version for `demo2` and `demo3`.
  - Angular Fixed `Aside menu` closing issue on mobile devices after routing changes.
  - Vue Fixed validation bug on `Login` page.
  - Vue Fixed `Aside menu` closing issue on mobile devices after routing changes.
  - Laravel Fixed `bootstrap-timepicker` initialization issue.

- ##### Metronic v7.2.2 - 18 February, 2021

  Updates & Improvements

  - HTML Fixed `Gulp` not build for demos.

- ##### Metronic v7.2.1 - 12 February, 2021

  Updates & Improvements

  - HTML Fixed webpack build error when build with the latest `npm` version.
  - HTML Fixed `KTDatatable` dropdown can't be opened after second click.

- ##### Metronic v7.2.0 - 1 February, 2021

  Updates & Improvements

  - HTML Remove `node-sass` and replaced with `dart-sass` for `Gulp` and `Webpack` builders.

- ##### Metronic v7.1.9 - 27 January, 2021

  Updates & Improvements

  - Global Bootstrap v4.6.0 update.

  Fixes

  - HTML Fixed KTDatatable bug for hidden columns on every sorting.
  - HTML Fixed Card tooltip issue caused after it's removal.
  - HTML Fixed missing expand/collapse arrow in `Datatables` responsive example.
  - HTML Fixed JS error conflict between `datatables.bundle.js` with other jQuery plugins when using Webpack build.
  - HTML Fixed `toastr` and `summernote` missing sourcemap file warning.
  - Laravel Changed links in documentation from `7.x` to `8.x`.

- ##### Metronic v7.1.8 - 28 December, 2020

  Fixes

  - HTML Fixed `Bootstrap-select` and `Treeview` conflict issue in Webpack build.
  - HTML Fixed `KTDatatable` dropdown position issue inside child table.
  - HTML Fixed `Gulp` build issue, related to SCSS file import not found.

- ##### Metronic v7.1.7 - 9 December, 2020

  New

  - VUE Added `Profile 2`, `Profile 3`, `Profile 4` pages.

  Updates & Improvements

  - HTML `Bootstrap Switch` downgraded to v3.3.0 due to known issues of v3.4.0.

  Fixes

  - HTML Fixed `Demo1` Fixed Footer left position issue when Aside removed.
  - HTML Fixed `Demo3` Menu padding issue on mobile mode.
  - HTML Fixed `Demo6` Sidebar toggle issue on mobile mode.
  - HTML Fixed `Demo7` Header menu toggle issue on mobile mode.
  - HTML Fixed `Demo10` Sidebar toggle issue on mobile mode.
  - HTML Fixed `Demo11` Header menu toggle issue on mobile mode.
  - HTML Fixed KTDatatable bug for `autoColumns` option where empty table on the first load.
  - HTML Fixed KTDatatable bug for sorting function not working when`autoColumns` option is enabled.
  - HTML Fixed KTDatatable bug for hidden columns on every sorting.
  - HTML Update `Webpack v5` localhost server and fixed older version Webpack localhost error.
  - HTML Fixed topbar dropdown issue in Datatable page when build using Webpack.
  - HTML Fixed demo5 search inline.
  - Angular Fixed `Aside menu` scroll on mobile view.
  - Angular Fixed `Static aside menu` translation examples.
  - Angular Fixed `Aside and Header menus` 'static/dynamic' switcher in the Layout Builder.
  - Angular Fixed `Layout builder` preview.
  - Angular Update `highlight.ts` to the latest version.
  - Angular Fixed `404 page not found` redirect.
  - Angular Fixed `404 page not found` redirect.
  - React Fixed `User Profile` 'Personal information' form validators.
  - React Fixed `Login` page scroll issue on iOS.
  - Vue Fixed form validation on `Login` page.

- ##### Metronic v7.1.6 - 19 November, 2020

  New

  - VUE Added `demo7` vue version. See preview

  Updates & Improvements

  - Angular Angular v11.0.0 upgrade. (`strict mode` will be published in future updates).
  - HTML Upgrade `Webpack v5`
  - HTML Updated `datatables` JSON response structure with the latest version. Refer to documentation.
  - HTML Tagify v3.21.4 update.
  - HTML CKEditor v23.1.0 update.
  - HTML Fontawesome 5 v5.15.1 update.
  - HTML Uppy v1.14.0 update.
  - HTML Animate v4.1.1 update.
  - HTML Apexcharts v3.22.2 update.
  - HTML Bootstrap Daterangepicker v3.1.0 update.
  - HTML Bootstrap Maxlength v1.10.0 update.
  - HTML Bootstrap Select v1.13.18 update.
  - HTML Bootstrap Switch v3.4.0 update.
  - HTML Datatables v1.10.22 update.
  - HTML Flot v4.2.1 update.
  - HTML Gmaps v0.4.25 update.
  - HTML Handlebars v4.7.6 update.
  - HTML jKanban v1.2.3 update.
  - HTML Inputmask v5.0.5 update.
  - HTML Jstree v3.3.10 update.
  - HTML Leaflet v1.7.1 update.
  - HTML Moment v2.29.1 update.
  - HTML Nouislider v14.6.2 update.
  - HTML Popper.js v1.16.1 update.
  - HTML Pdfmake v0.1.68 update.
  - HTML Prismjs v1.22.0 update.
  - HTML Quil v1.3.7 update.
  - HTML Select2 v4.0.13 update.
  - HTML Sticky-js v1.3.0 update.
  - HTML Summernote v0.8.18 update.
  - HTML Sweetalert2 v10.10.0 update.
  - HTML Tinymce v5.5.1 update.

  Fixes

  - Global Aside submenu accordion mode recalculate scroll height on submenu close.
  - Angular Fixed `TableState` old state keeping in Datatables.
  - Demo 12 Fixed `Sticky Cards` position issue.
  - HTML Fixed `Datatables.net` issue with v1.10.22 update.

- ##### Metronic v7.1.5 - 2 November, 2020

  Fixes

  - Vue Fixed Vue missing assets.

- ##### Metronic v7.1.4 - 31 October, 2020

  Updates & Improvements

  - HTML Exclude precompiled assets.
  - Angular Exclude old angular demos.

- ##### Metronic v7.1.3 - 29 October, 2020

  New

  - Laravel Added new page for plugin `jquery-mask-plugin`. See documentation You can access this page in `/jquerymask`
  - Angular Added `CRUD+Tables` examples for Angular 10+. (`eCommerce` module)
  - Angular Added `User Profile` example for Angular 10+.
  - React Added `User Profile` example.
  - Laravel and Vue Added guide how to make Metronic Vue and Laravel integration.
  See documentation
  - Vue Added vue demo6 version.

  Updates & Improvements

  - HTML Bootstrap v4.5.3 update.
  - HTML Gulp compile using `--prod` flag or enable js/css minification setting will append `.min` to the output filename.
  - HTML Gulp auto resolve path for 3rd party node modules plugin in SCSS. Eg. `@import "../node_modules/bootstrap/` to `@import "bootstrap/`
  - Angular Upgraded Angular version to `10.6.1`.

  Fixes

  - HTML Fix `Demo 5` dashboard widget bug on iOS.
  - HTML Fix buttons issue in `KTDatatable` event demo page.
  - HTML Fix `KTDatatable` function `getSelectedId()` duplicated id.
  - HTML Fix `KTDatatable` border for HTML table.
  - HTML Fix `KTDualListbox` duplicating options
  - HTML Fix webpack file paths import by prepend `./` at the beginning of the file path.
  - React Fix `Breadcrumbs` wrong path issue.
  - React Fix `eCommerce` 'ProductEdit' form issues.
  - React Fix `eCommerce` 'FetchModel' modal HTML issues.

- ##### Metronic v7.1.2 - 30 September, 2020

  New

  - Vue Added User Sign-in, Sign-up and Password Reset Pages. See preview.
  - Vue Added User Profile, Account and Password Change Pages. See preview.
  - Angular 10 Added `Demo2`. See preview.
  - Angular 10 Added `Demo3`. See preview.

  Updates & Improvements

  - HTML Added `Demo 7` minimal header option. Add `header-bottom-enabled` to have bottom menu enabled.
  - VUE Added profile page in Custom -> Pages -> Profile
  - LARAVEL Upgrade version of `Laravel 8`

  Fixes

  - HTML Fixed submenu toggle issue< in `Demo 1` Minimized Aside
  - HTML Fixed `Demo 7` default Hidden Menu issue
  - HTML Fixed `Demo 7` default hidden Menu
  - LARAVEL Fixed Laravel expandable minimized aside menu on hover.
  - Angular 10 Fixed `Demo 1` footer width issue when aside is disable
  - VUE Fixed Vue bug with aside menu not expanded when accessed directly via URL.

- ##### Metronic v7.1.1 - 15 September, 2020

  New

  Updates & Improvements

  - HTML Added `Demo 7` minimal header option. Add `header-bottom-enabled` to have bottom menu enabled.
  - ANGULAR Added 4 new wizards examples.
  - HTML Improve gulp minify build.
  - HTML Changed `jsUglify` gulp build config to `jsMinify`.

  Fixes

  - HTML Fixed `Bootstrap Touchspin` input's default value issue.
  - HTML Fixed `Draggable Card` border issue on draggable zone click.
  - HTML Fixed `Demo 1` aside toggle click issue on minimized aside hover.
  - HTML Fixed `Demo 13` multi-level submenu offset issue.
  - HTML Fixed `User Profile` scroll issue on mobile.
  - HTML Fixed `KTDatatable` autoHide toggle when no detail row to render.
  - HTML Fixed `KTDatatable` width adjustment issue when there is no data.
  - ANGULAR Fixed `Aside` `Dropdown` mode.
  - REACT Fixed `React Registration Form` issue with 'terms and conditions' checkbox.
  - Vue Added new `Vue Treeselect` plugin. See documentation.
  - Vue Added vue demo5 version.

- ##### Metronic v7.1.0 - 25 August, 2020

  Updates & Improvements

  - HTML `Bootstrap v4.5.2` update.
  - ANGULAR Added dynamic aside menu component.
  - ANGULAR Added dynamic header menu component.

  Fixes

  - HTML Fixed HTML formatting issue in all HTML templates files.
  - HTML Fixed `Demo7` fixed header overlay issue on mobile.
  - HTML Fixed `Fixed Footer` z-index issue.
  - HTML Fixed `custom/apps/ecommerce/checkout.html` form validation bug.
  - HTML Fixed `KTWizard` form validation bug.
  - HTML Fixed HTML formatting.
  - ANGULAR Language selector dropdown issue.

- ##### Metronic v7.0.9 - 20 August, 2020

  New

  - VUE Added new `demo4` vue version. See preview
  - HTML Added new `Invoice 5`. See preview.
  - HTML Added new `Invoice 6`. See preview.
  - Angular `New version of our Angular application`. Features and improvements:
    - `IVY renderer` support.
    - `Angular 10.0.x` versions support.
    - New `layout` structure.
    - `ng lint` support.
    - `Authorization` module improvements.
    - Performance improvements and bundles size increasing.

  Updates & Improvements

  - HTML Improved sticky header functionality for `Demo 2`, `Demo 8`, `Demo 9`, `Demo 11`, `Demo 12` and `Demo 13`.
  - HTML Webpack builder optimization and remove deprecated Webpack plugins.
  - HTML `KTWizard` javascript code refactored with minor changes.
  - HTML `Bootstrap Select` style improvements.

  Fixes

  - HTML Fixed `KTWizard` form validation bug.
  - HTML Fixed `KTWizard` step title click bug.
  - HTML Fixed `Perfect Scrollbar` height calculation issue on mobile.
  - HTML Fixed `Demo 5 Dashboard Tabs` responsive issue.
  - HTML Fixed `Inline Checkbox & Radio` wrapping issue.
  - HTML Fixed `custom/apps/contacts/edit-contact.html` responsive issue.
  - HTML Fixed `custom/apps/projects/edit-project.html` responsive issue.
  - HTML Fixed `custom/apps/user/edit-user.html` responsive issue.
  - HTML Fixed webpack missing js files import.
  - HTML Added jQuery Mask Plugin. A plugin to make masks on form fields.
  - HTML Remove space between pagination buttons in `KTDatatable`.
  - HTML Fixed webpack RTL command won't generate RTL CSS files in certain demos.
  - LARAVEL Fixed dashboard `timeline` widget broken style.
  - LARAVEL Fixed `jsTree` and `KTDatatable` integration issue.
  - VUE Vue demos UI improvements, this changes will influence dashboard pages of `demo1`, `demo2` and `demo3`.
  - VUE Fixed bug in `demo1`, now `layout.config.json` property `aside.self.minimize.hoverable` will be working.
  - VUE Added Cropper plugin in `/plugins/cropper`

- ##### Metronic v7.0.8 - 3 August, 2020

  New

  - HTML Added new `Invoice 3`. See preview.
  - HTML Added new `Invoice 4`. See preview.
  - Figma file update:
    - New Demo 12 layout.
    - New Demo 13 layout.
    - 6 eCommerce App pages.
    - 3 Education App pages.
    - 6 Invoice pages.

  Fixes

  - HTML Fixed `Demo 1` topbar toggle issue on mobile mode.
  - HTML Fixed quick search result missing image path.

- ##### Metronic v7.0.7 - 25 July, 2020

  New

  - HTML Added new `Demo 13`. See preview.
  - HTML Added new `RTL` demos. See preview.
  - HTML Added new `eCommerce` app:
    - Dashboard 1 template.
    - Dashboard 2 template.
    - Dashboard 3 template.
    - Dashboard 4 template.
    - Dashboard 5 template.
    - My Orders template.
    - Order Details template.
    - Shopping Cart template.
    - Checkout template.

  Updates & Improvements

  - HTML `Demo 1` fixed mobile subheader option.
  - HTML Improved `KTDatatable` function `destroy()` to release memory and clear unused variables.

  Fixes

  - HTML Fixed `Demo 7` Fixed Header issue.
  - HTML Fixed webpack error during compilation in demo12 and demo13.
  - HTML Hide `KTDatatable` pagination when no rows in the list.
  - HTML Fixed missing `tinymce` plugin import in gulp and webpack.
  - HTML Fixed webpack plugin import error.
  - HTML Fixed missing `datetimepicker` plugin import in webpack.
  - HTML Fixed `noUiSlider` plugin error when initialize with empty element.
  - HTML Removed `console.log()` code from `wizard.js` plugin.
  - VUE Fixed demo2 user profile topbar dropdown in mobile view.
  - VUE Fixed aside menu when it is collapsed in demo2. Now menu items will be visible when the menu is collapsed.
  - VUE Fixed wizard pages in demo2.
  - VUE Fixed vertical align for spinners inside a buttons on the page `/vue-bootstrap/spinner`.
  - VUE Fixed `z-index` bug with `offcanvas` menu on mobile version. Now the menu will be in front of the header.
  - VUE Fixed highlight menu button width on mobile view.
  - VUE Fixed dashboard widget broken style.
  - VUE Removed left margin for apexcharts on the dashboard page.
  - LARAVEL Fixed Laravel source-map warning in DevTools for production build.

- ##### Metronic v7.0.6 - 7 July, 2020

  New

  - HTML Added new `Demo 12`. See preview.
  - HTML Added new `Wizard 5` page. See preview.
  - HTML Added new `Wizard 6`. See preview.
  - HTML Added new `Tempusdominus Bootstrap Datetimepicker Plugin`. See preview.

  Updates & Improvements

  - HTML Added solid theme color options for `Tagify` plugin. See preview.
  - Laravel Sync `package.json` file with HTML version.
  - HTML Removed `Bootstrap Datetimepicker` by smalot.

  Fixes

  - HTML Fixed demos topbar dropdowns and custom file input z-index conflict.
  - HTML Fixed issye with `Fixed Footer` page.
  - HTML `Daterangepicker` custom range view border issue.
  - HTML `Demo3` success color duplication with primary color.
  - React Fixed issue with `MUI Ripple` effect.
  - React Fixed padding issues with `Registration` page.
  - React Fixed `eCommerce` HTML issues with `Dropdown`.
  - React Fixed `breadcrumbs` disappearing issue when aside is disabled.
  - React Fixed `getAttributeNames method` error on `Microsoft Edge`.
  - Angular Fixed `breadcrumbs` counting algorithm.
  - Angular Fixed `Timeline` widget HTML.
  - Angular Fixed `MUI Tooltip` components.
  - Vue Fixed `Non-authenticate` user redirection bug to dashboard.
  - HTML Laravel Fixed topbar HTML in mobile view.

- ##### Metronic v7.0.5 - 18 June, 2020

  New

  - React Added new `Demo 3` integration. See preview.
  - HTML Added new `Education` app:
    - School Dashboard template.
    - School Statistics template.
    - School Calendar template.
    - School Library template.
    - School Teachers template.
    - School Students template.
    - Student Dashboard template.
    - Student Profile template.
    - Student Calendar template.
    - Student Classmates template.
    - Class Dashboard template.

  Updates & Improvements

  - HTML `Checkbox` & `Radio` components improvements. Check out Checkboxes Preview Radios Preview.
  - Global `Demo2` `Subheader` padding enhancement.

  Fixes

  - HTML Fixed `Demo 3` `Chat` popup window issue.
  - Vue Fixed topbar dropdown layout issue in the RTL version and mobile view.
  - Vue Fixed demo2 subheader padding.
  - Vue Fixed undefined image path.
  - React Fixed `Aside` parent active class issue.

- ##### Metronic v7.0.4 - 5 June, 2020

  New

  - React Added new `Demo 2` integration. See preview.
  - Vue Added new `Demo 3` integration. See preview.
  - HTML New `Login 4 Wizard Singup` Page. See preview.
  - HTML New `Login 4 Signin` Page. See preview.
  - HTML New `Login 4 Forgot Password` Page. See preview.
  - Global Added new `KTUtil.btnWait()` and `KTUtil.btnRelease()` functions to handle the buttons progress states.
  - Design New Figma pages:
    - Demo 11
    - Sign 1, Sign 2, Sign 3, Sign 4
    - Wizard 1, Wizard 2, Wizard 3, Wizard 4
    - Calendar
    - Inbox
    - Forms
    - Todo
    - Cards 1
    - Cards 2
    - Invoice 1
    - Invoice 2

  Updates & Improvements

  - HTML Removed `KTApp.progress()` and `KTApp.unprogress()` functions. Instead use `KTUtil.btnWait()` and `KTUtil.btnRelease()` as shown here.

  Fixes

  - Global Fix Aside scrolling issue on `iPad Pro`.
  - HTML Fix `Summernote` toolbar z-index issue on scroll.
  - HTML Fix `Page Loader` not displaying issue.
  - HTML Fix `Wizard` triggering previouse step on form enter click on inputs.

- ##### Metronic v7.0.3 - 28 May, 2020

  New

  - HTML Added new `Demo 11`. See preview.

  Updates & Improvements

  - Global `KTOffcanvas` component animation improvements.
  - Global `.btn-secondary` hover state background color improvement.
  - HTML `Custom/Pages/Login` pages file structure reorganization.
  - HTML `Custom/Pages/Login/Login 3` improvements.

  Fixes

  - Global Fixed widgets height issue on Mac Safari.
  - HTML Fixed `SweetAlert` `Swal` undefined variable in `webpack` build.
  - HTML Fixed `TinyMCE` demo page JS errors.
  - HTML Fixed broken table layout in `Datatables.net` demo page.
  - HTML Use `Datatables.net` version fixed to `1.10.19` because the latest `v1.10.20` has issue.
  - Vue Fixed menu JS error in the header menu.
  - Vue Fixed `vue-bootstrap` tooltip hover timeout too fast.
  - Vue Close offcanvas panel on the link click.
  - Laravel Fixed `webpack.mix.js` missing fonts in the production build.
  - Laravel Fixed `SweetAlert` `Swal` undefined variable in `webpack` build.

- ##### Metronic v7.0.2 - 22 May, 2020

  New

  - HTML New `Login 3 Wizard Singup` Page. See preview.
  - HTML New `Login 3 Signin` Page. See preview.
  - HTML New `Login 3 Forgot Password` Page. See preview.
  - React Added Form fields validations with `Yup` and `Formik`.
  - React Added error pages.

  Updates & Improvements

  - Global Added ability to pass Perfect Scrollbar Options via HTML attributes.
  - HTML Added custom dark theme for `Bootstrap Tooltip` component.
  - HTML `Bootstrap v4.5.0` update.
  - Angular `Bootstrap v4.5.0` update.
  - React `Bootstrap v4.5.0` update.
  - Vue `Bootstrap v4.5.0` update.
  - Laravel `Bootstrap v4.5.0` update.

  Fixes

  - Global `Pulse` alignment issue on Mac/Safari.
  - Global `Card` with icon issue on mobile.
  - Global `Bootstrap Popover` bug in `RTL` version.
  - Global Horizontal Menu offscreen submenu issue.
  - Global Iconbox responsive issues.
  - Global Horizontal Menu offscreen submenu issue.
  - HTML `Demo 3` Sticky Card position issue when Aside toggled.
  - HTML `Demo 4` Aside scroll mode issue.
  - HTML Bootstrap disabled buttons hover issue.
  - HTML Fixed missing error pages.
  - HTML Fixed `Bootstrap Notify` animation issue.
  - HTML Fixed `Login 1` layout issue on Mac Safari.
  - HTML Fixed `Login 2` layout issue on Mac Safari.
  - HTML Fixed form submission issue after successful validation.
  - HTML Fixed `jQuery-Repeater` integration with Webpack and Laravel Mix.
  - HTML Fixed `KTDatatable` ordered column direction differentiation issue.
  - HTML Fixed `KTDatatable` checkbox issue with sorting icon issue.
  - HTML Fixed `KTDatatable` pagination spacing in mobile view.
  - HTML Fixed certain font files path issue when compile using `gulp`
  - HTML Fixed `Datatables.net` integration issue in `webpack`.
  - React Fixed Login page 'width' issue.
  - React Fixed subheader non-fixed/solid issue
  - React Fixed Registration page 'Terms and Conditions' checkbox issue.
  - Angular Fixed Login page 'width' issue.
  - Vue Fixed color of expand/collapse aside button svg icon.
  - Laravel Fixed line-awesome font import and revised all custom icons import.
  - Laravel Fixed `Webpack Mix` fonts path issues.
  - Laravel Removed static `mode` setting from `webpack.mix.js`.
  - Laravel Fixed `Datatables.net` integration issue in the Laravel webpack mix.
  - Laravel Fixed `Select2` integration issue when importing with `Datatables.net` in the Laravel webpack mix.

- ##### Metronic v7.0.1 - 12 May, 2020

  New

  - HTML New Login Page 1 template. See preview.
  - HTML New Login Page 2 template. See preview.
  - HTML New Pulse Component. See preview.

  Updates & Improvements

  - HTML SASS primary color changes from `#6993FF` to `#3699FF` for all versions of Demo1.
  - HTML The SASS global components variable file `_variables.scss` devided into the Bootstrap variables `_variables.bootstrap.sass` and the Custom variables `_variables.custom.sass`. The demo `_variables.demo.sass` is used to safely override the global Bootstrap and Custom variables in an isolated scope. Learn more.
  - HTML Added code comments in `Webpack` configuration files.
  - HTML Added Logout Button in User Offcanvas Panel.
  - Vue Added Vue logout button and logout function.
  - Vue config override at the page level using `store` service. Eg. `this.$store.dispatch(OVERRIDE_PAGE_LAYOUT_CONFIG, {/*page layout config*/});`
  - HTML Added `<!DOCTYPE html>` to the HTML tag.
  - React Added tooltips for topbar components in React

  Fixes

  - HTML Fixed Missing `<!DOCTYPE html>` tag in HTML files.
  - HTML Fixed HTML `Layout Builder` bugs.
  - HTML Fixed HTML Link click outline issue.
  - HTML Fixed HTML `Form validation` bugs.
  - HTML Fixed HTML `Tagify` plugin readonly mode bug.
  - HTML Fixed HTML `Toast` plugin state colors bug.
  - HTML Fixed HTML `Subheader` layout issue in `Demo 6`.
  - HTML Fixed HTML `Header Menu` dropdown issue in `Demo 8`.
  - HTML Fixed HTML `Datatables.net` column sort direction icon colors issue.
  - HTML Fixed HTML `Sweetalert2` plugins options syntax issues.
  - Vue Fixed Vue highlight menu item on active.
  - Vue Fixed Vue user profile button hover transparency color.
  - Vue Fixed Vue topbar dropdown outline.
  - HTML Fixed offcanvas demo panel error on first time load.
  - Global Fixed HTML,React,Angular & Vue Menu closing after router changes.
  - HTML Fixed `npm run localhost` from deleting existing assets folder.
  - Laravel Fixed `Laravel` dropdown in subheader partials.

- ##### Metronic v7.0.0 - 7 May, 2020

  New

  - Global New codebase and improved core framework.
  - Global Full demos redesign.
  - Global Full widgets, components, elements and plugins redesign.
  - HTML 200+ new widgets. See preview.
  - Laravel New `Laravel` version for `demo1`.
  - Vue New `Vue` version for `demo1` and `demo2`.
  - Angular New `Angular` version for `demo1`.
  - React New `React` version `demo1`.
  - React New `React eCommerce` module with following features:
    - CRUD http requests examples.
    - Datatable examples based on React-bootstrap-table-next with Filtering/Sorting/Grouping/Pagination functionalities.
    - Redux-toolkit based State manager.

  Updates & Improvements

  - Global Removed custom Metronic classes `kt-*` and replace with the Bootstrap standard classes and new Metronic classes compatible with Bootstrap framework.
  - HTML Removed custom `KTPortlet` plugin and implemented new `KTCard` class on top of `Bootstrap Card component`.
  - Global Dropped `IE11` support due to many 3rd-party plugins incompatiblity issues.
  - HTML Source code preview for the components and plugins examples.
  - HTML Core Javascript code and performance optimization.
  - HTML File structure optimization.
  - HTML Gulp builder optimization.
  - HTML Webpack builder optimization.
  - HTML Pre-compiled assets included in the download package.
  - HTML Classic version has been removed, the pre-compiled assets can be used as an alternative.
  - HTML Removed cookie option from `KTDatatable` `saveState.cookie`. Set `data.saveState` to enable `localStorage`.
  - HTML Single `tools` folder for all demos of the HTML version.
  - Angular `Angular 9` update. Lear more.
  - React React version refactoring:
    - View parts of `_metronic`folder were divided into 4 parts:

      `_assets`, `_helpers`, `_partials`(Shared elements) and `layout`.

    - `layout` setup was moved from `React Redux` to React Context.
    - `i18n` setup was moved from `React Redux` to React Context.
    - All components were rewrited from `React.Component` to React Hooks.
    - `Redux`, `Axios` and `Mock Axios` settings were moved into `src/redux` folder.
    - `Lazy modules` were moved into `src/app/modules` folder.
    - `Pages` were moved into `src/app/pages` folder.

  Fixes

  - HTML Fixed `KTDatatable` duplicate count of selected checkboxes.
  - HTML Fixed `KTDatatable` negative pagination when there is no record on the list.
  - React Fixed `createSvgIcon` exports error in React demos.
  - Angular Fixed `ngx-daterangepicker-material` library breaking changes in Angular demos.

### Custom Work

If you need the theme customization or custom development services please contact us to get a free quote:

Hire Us

### License Notice

A single license can be used only for one domain or client. Each use of the theme requires a separate license. We hope you will follow the rules as it will help us to continue supporting our themes and providing a free future updates.

Get A New License

### ASP.NET Zero - Metronic .NET Integration

ASP.NET Zero is a starting point for new web projects based on our Metronic Theme UI.

Learn Mode

### Theme Support

Please ensure that your support subscription is active to receive any further support. To check your support subscription status here.

Renew Subscription

### Become An Affiliate

You can support our theme by referring a new users from your site or blog and earn with themeforest's affiliate program.

Get More Info

### How To Update ?

Like all HTML templates, you will need to manually handle all updates that we provide after purchase for free. Before updating your project with the new version of Metronic please do check out our tips for handling the updates efficiently.

Read more...